# List subscriptions

List subscriptions

Endpoint: GET /v2/webhooks/{webhookId}/subscriptions
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `webhookId` (string, required)
    The webhook ID

## Query parameters:

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 100)

  - `pageToken` (string)
    The token to retrieve the next page of results

  - `pagination.pageSize` (integer)
    Number of results per page (default 50, max 1000)

  - `pagination.pageToken` (string)
    Token for pagination from previous response

  - `pagination.orderBy` (string)
    Field to order results by

  - `pagination.order` (string)
    Sort order (ASC or DESC)
    Enum: "SORT_ORDER_ASC", "SORT_ORDER_DESC"

  - `filter.id.eq` (string)
    Exact match

  - `filter.id.notEq` (string)
    Not equal to

  - `filter.id.contains` (string)
    Contains substring (case-insensitive)

  - `filter.id.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.id.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.id.in` (array)
    Value is in the list

  - `filter.id.notIn` (array)
    Value is not in the list

  - `filter.id.isNull` (boolean)
    Check if field is null

  - `filter.webhookId.eq` (string)
    Exact match

  - `filter.webhookId.notEq` (string)
    Not equal to

  - `filter.webhookId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.webhookId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.webhookId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.webhookId.in` (array)
    Value is in the list

  - `filter.webhookId.notIn` (array)
    Value is not in the list

  - `filter.webhookId.isNull` (boolean)
    Check if field is null

  - `filter.domain` (string)
    Filter by subscription domain
    Enum: "TRANSACTION", "WALLET", "APPROVAL"

  - `filter.scope` (string)
    Filter by subscription scope
    Enum: "ORG"

  - `filter.createdAt.eq` (string)
    Exact timestamp match

  - `filter.createdAt.notEq` (string)
    Not equal to timestamp

  - `filter.createdAt.before` (string)
    Before this timestamp

  - `filter.createdAt.after` (string)
    After this timestamp

  - `filter.createdAt.gte` (string)
    Greater than or equal to timestamp

  - `filter.createdAt.lte` (string)
    Less than or equal to timestamp

  - `filter.createdAt.between.start` (string)
    Start of time range (inclusive)

  - `filter.createdAt.between.end` (string)
    End of time range (inclusive)

  - `filter.createdAt.isNull` (boolean)
    Check if field is null

  - `filter.createdAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)

  - `filter.updatedAt.eq` (string)
    Exact timestamp match

  - `filter.updatedAt.notEq` (string)
    Not equal to timestamp

  - `filter.updatedAt.before` (string)
    Before this timestamp

  - `filter.updatedAt.after` (string)
    After this timestamp

  - `filter.updatedAt.gte` (string)
    Greater than or equal to timestamp

  - `filter.updatedAt.lte` (string)
    Less than or equal to timestamp

  - `filter.updatedAt.between.start` (string)
    Start of time range (inclusive)

  - `filter.updatedAt.between.end` (string)
    End of time range (inclusive)

  - `filter.updatedAt.isNull` (boolean)
    Check if field is null

  - `filter.updatedAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)

  - `search` (string)
    Case-insensitive search over subscription ID and webhook ID.

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `subscriptions` (array)

  - `subscriptions.id` (string, required)
    The webhook subscription ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `subscriptions.webhookId` (string, required)
    The webhook ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `subscriptions.createdBy` (string, required)
    The ID of the user who created this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `subscriptions.createdAt` (string, required)
    The date and time the webhook was created
    Example: "2022-03-29T10:22:22.420Z"

  - `subscriptions.updatedBy` (string, required)
    The ID of the user who updated this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `subscriptions.updatedAt` (string, required)
    The date and time the webhook was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `subscriptions.config` (object, required)
    The configuration for the webhook subscription
    Example: {"domain":"TRANSACTION","scope":"ORG"}

  - `subscriptions.config.domain` (string, required)
    The domain to subscribe to
    Enum: same as `filter.domain` (3 values)

  - `subscriptions.config.scope` (string, required)
    The scope to subscribe to
    Enum: same as `filter.scope` (1 values)

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


